Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.validator
Class RDF_Validator

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.validator.RDF_Validator

public class RDF_Validator
extends Object

RDF_Validator.java

Field Summary
`Model` | `basis_model` The model we want to validate.

Constructor Summary
`RDF_Validator(Model mdl)` Create a new RDF_Validator.

Method Summary
`void` | `create_class_dag()`
`void` | `create_property_dag()`
`long` | `getinheritTime()` Returns the time required to inherit the domain and the range to the sub properties
`RDF_DAG` | `getsubClassOfDAG()` Returns the subClasses Directed Acyclic Graph.
`RDF_DAG` | `getsubPropertyOfDAG()` Returns the subProperties Directed Acyclic Graph.
`void` | `setclassLoop(boolean b)` Setting the classLoop option.
`void` | `setgraph(boolean b)` Setting the graph option.
`void` | `setinheritance(boolean b)` Setting the inheritance option.
`void` | `setpropertyLoop(boolean b)` Setting the propertyLoop option.
`void` | `setsourceTargetTypes(boolean b)` Setting the sourceTargetTypes option.
`void` | `setsubClassOfDAG(RDF_DAG class_dag)` Sets the subClasses Directed Acyclic Graph.
`void` | `setsubPropertyOfDAG(RDF_DAG property_dag)` Sets the subClasses Directed Acyclic Graph.
`void` | `setsubsetSubpropertyDomainRange(boolean b)` Setting the subsetSubpropertyDomainRange option.
`void` | `settyping(boolean b)` Setting the typing option.
`void` | `setuniqueDefinedDomainRange(boolean b)` Setting the uniqueDefinedDomainRange option.
`void` | `setverbose(boolean b)` Setting the verbose option.
`boolean` | `subClassOf_check()` Testing for loops in the subClassOf Statements.
`void` | `subpropertyDomainRange_check()` Testing if the domain and range of a sub property fit to the domain and range of the super properties.
`boolean` | `validate()` The method starting all the jobs for the validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basis_model

    public Model basis_model

  The model we want to validate.

Constructor Detail

### RDF_Validator

    public RDF_Validator(Model mdl)

  Create a new RDF_Validator.

Method Detail

### setverbose

    public void setverbose(boolean b)

  Setting the verbose option. Default is 'false'.

### setgraph

    public void setgraph(boolean b)

  Setting the graph option. Default is 'false'.

### setclassLoop

    public void setclassLoop(boolean b)

  Setting the classLoop option. Default is 'false'.

### setpropertyLoop

    public void setpropertyLoop(boolean b)

  Setting the propertyLoop option. Default is 'false'.

### setinheritance

    public void setinheritance(boolean b)

  Setting the inheritance option. Default is 'false'.

### setsubsetSubpropertyDomainRange

    public void setsubsetSubpropertyDomainRange(boolean b)

  Setting the subsetSubpropertyDomainRange option. Default is 'false'.

### setuniqueDefinedDomainRange

    public void setuniqueDefinedDomainRange(boolean b)

  Setting the uniqueDefinedDomainRange option. Default is 'false'.

### settyping

    public void settyping(boolean b)

  Setting the typing option. Default is 'false'.

### setsourceTargetTypes

    public void setsourceTargetTypes(boolean b)

  Setting the sourceTargetTypes option. Default is 'false'.

### getsubClassOfDAG

    public RDF_DAG getsubClassOfDAG()

  Returns the subClasses Directed Acyclic Graph.

### setsubClassOfDAG

    public void setsubClassOfDAG(RDF_DAG class_dag)

  Sets the subClasses Directed Acyclic Graph.

### getsubPropertyOfDAG

    public RDF_DAG getsubPropertyOfDAG()

  Returns the subProperties Directed Acyclic Graph.

### setsubPropertyOfDAG

    public void setsubPropertyOfDAG(RDF_DAG property_dag)

  Sets the subClasses Directed Acyclic Graph.

### getinheritTime

    public long getinheritTime()

  Returns the time required to inherit the domain and the range to the sub properties

### validate

    public boolean validate()

  The method starting all the jobs for the validation. Returns true if the total descriptions are valid

### subClassOf_check

    public boolean subClassOf_check()

  Testing for loops in the subClassOf Statements.

### subpropertyDomainRange_check

    public void subpropertyDomainRange_check()

  Testing if the domain and range of a sub property fit to the domain and range of the super properties.

### create_class_dag

    public void create_class_dag()

### create_property_dag

    public void create_property_dag()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD